//=============================================================================
// TO_BombingBots.
//=============================================================================
// Killed pawns explode and spawn gibs.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 08/12/2002
//=============================================================================

class TO_BombingBots expands Mutator;

var		pawn	killed;
var		TO_GibbableCarcass	carcass;
var		TO_ExplConc			explosion;


function ScoreKill(Pawn Killer, Pawn Other) {
	if (Level.Game == none || s_SwatGame(Level.Game) == none || s_SwatGame(Level.Game).GamePeriod == s_SwatGame(Level.Game).EGamePeriod.GP_PreRound)
		return;
	
	killed = other;
	carcass = spawn(class'TO_SinglePlayer.TO_GibbableCarcass',,, killed.Location + killed.CollisionHeight * vect(0,0,0.5));
	carcass.Initfor(killed);
	carcass.bPlayerCarcass = true;

	// Hide dying pawn
	killed.bHidden = true;

	gotostate('exploding');
}

state exploding {

begin:
	// Wait a bit
	//sleep(1);

	// Spawn HE explosion
	explosion = Spawn(class'TO_ExplConc',, '', killed.Location + killed.CollisionHeight * vect(0,0,0.5));
	explosion.scale *= 0.65;

	// Spawn gibs
	carcass.ChunkUp(100);

}

function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {
	if (Other.IsA('s_PlayerCarcass') && !Other.IsA('TO_GibbableCarcass'))
		return false;

	return true;
}

defaultproperties
{
}
