//=============================================================================
// TO_SPHCB_Avalanche.
//=============================================================================
// Special mission behaviors.
// Detects when all objectives are accomplished and spawns end game triggers.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 11/11/2002
//=============================================================================

class TO_SPHCB_Avalanche expands TO_SP_HardCodedBehaviors;

var	TO_SinglePlayerGame		game;

function Initialise(TO_SinglePlayerGame myGame) {
	local TO_RoundWinning	winActor;
	local TO_SendBotOrder	botOrder;
	
	game = myGame;
	game.ExitSpawnedBotsAttitude = 1; // make teammembers follow the player when exit is spawned but not the ennemy bots

	tag = 'TerrWins';

	foreach allactors(class'TO_RoundWinning', winActor)
		winActor.tag = 'TO_SP_InvalidTag'; // Used to prevent the round winning actor from being activated

	foreach allactors(class'TO_SendBotOrder', botOrder)
		botOrder.tag = 'TO_SP_InvalidTag'; // Used to prevent the bots from going after the player when an objective is done

}

function Trigger( actor Other, pawn EventInstigator ) {
	TO_SinglePlayerGame(Level.Game).SpawnEndGameTriggers();
	game.SpecialTriggersMSG();
}

defaultproperties
{
}
