//=============================================================================
// TO_SPHCB_Resurrection.
//=============================================================================
// Special mission behaviors.
// Catches the 'OICW stolen' message 
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 13/11/2002
//=============================================================================

class TO_SPHCB_Resurrection expands TO_SP_HardCodedBehaviors;

var	TO_SinglePlayerGame		game;
var localized string		NoExitWithoutOICWMessage;

function Initialise(TO_SinglePlayerGame myGame) {
	game = myGame;
	tag = 'OICW_done';
}

function Trigger( actor Other, pawn EventInstigator ) {
	TO_SinglePlayerGame(Level.Game).SpawnEndGameTriggers();
	game.SpecialTriggersMSG();
}

function bool AllowPlayerWin() {
	local bool		bAllowPlayerWin;

	bAllowPlayerWin = CheckForOICW();

	if (!bAllowPlayerWin)
		game.BroadcastMissionMessage(NoExitWithoutOICWMessage);

	return bAllowPlayerWin;
}

function bool CheckForOICW() {
	local pawn			pawn;
	local inventory		inventory;
	local bool			bOICWFound;
	
	bOICWFound = false;

	for ( pawn=Level.PawnList; pawn!=None; pawn=pawn.nextPawn )
		if ( (pawn.PlayerReplicationInfo != None) && !pawn.PlayerReplicationInfo.bWaitingPlayer )
			if ( ((s_Bot(pawn) != None) && (!s_Bot(pawn).bNotPlaying)) || s_player(pawn) != none)
				if (pawn.PlayerReplicationInfo.team == game.SinglePlayerDefinition.PlayerTeam)
					for (inventory=pawn.Inventory; inventory!=None; inventory=inventory.Inventory )
						if (inventory.IsA('s_OICW'))
							bOICWFound = true;
	
	return bOICWFound;
}

defaultproperties
{
     NoExitWithoutOICWMessage="You can't return without the OICW!"
}
