//=============================================================================
// TO_SP_ExplosiveC4.
//=============================================================================
// Special C4 detonation effect, used to 'mark' which bomb spot it was
// exploded in.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SP_ExplosiveC4 extends s_ExplosiveC4;

simulated function C4Explode() {
	local TO_SP_BombingPoint		B;
	local TO_SP_ExplosiveC4			C4;

	super.C4Explode();

	foreach AllActors(class'TO_SP_BombingPoint', B) {
		//log("TO_SPHCB_MultipleC4Mission::C4Planted: Checking bomb spot B.name = " $ string(B.name));
		foreach VisibleCollidingActors(class'TO_SP_ExplosiveC4', C4, sqrt(B.CollisionRadius * B.CollisionRadius + B.CollisionHeight * B.CollisionHeight) + 5, B.Location) {
			//log("TO_SPHCB_MultipleC4Mission::C4Planted: Found matching bombing spot! B.name = " $ string(B.name));
			CurrentBombingZone = B;
		}
	}
	
}

defaultproperties
{
}
