//=============================================================================
// TO_SP_GUIBaseMgr
//=============================================================================
//
// Tactical Ops
// - http://www.tactical-ops.net
//
// Author: Gerke 'j3rky' Preuner <j3rky@gerke-preussner.de>
//
// Source code rights:
// Copyright (C) 2002 Kamehan Studios
//=============================================================================

class TO_SP_GUIBaseMgr extends TO_GUIBaseMgr;

simulated function OwnerInit (s_HUD hud, TO_DesignInfo di)
{
	local int				i;
	local TO_SinglePlayerGame	game;


	Root = TournamentConsole(hud.PlayerOwner.Player.Console).Root;
	OwnerHUD = hud;
	Design = di;

	game = TO_SinglePlayerGame(Level.Game);

	if (game == none) {
		warn("Could not find TO_SinglePlayerGame actor !!");
		assert(false);
	}

	// create tabs
	if (game.bShowNormalScoreboard)
		TOUI_Tool_AddTab(UIT_SCORES, class'TO_GUITabScores');  // Old scoreboard
	else
		TOUI_Tool_AddTab(UIT_SCORES, class'TO_SP_GUITabScores'); // New scoreboard
	
	TOUI_Tool_AddTab(UIT_SERVER, class'TO_SP_GUIStory');

	if ( hud.PlayerOwner.IsA('s_Player') )
		TOUI_Tool_AddTab(UIT_BUYMENU, class'TO_SP_GUITabBuymenu');
		//TOUI_Tool_AddTab(UIT_BUYMENU, class'TO_GUITabBuymenu');

	TOUI_Tool_AddTab(UIT_CREDITS, class'TO_GUITabCredits');
	
	if ( hud.PlayerOwner.IsA('s_Player') )
		TOUI_Tool_AddTab(UIT_BRIEFING, class'TO_GUITabBriefing');

	if (s_SWATGame(Level.Game) != None && s_SWATGame(Level.Game).bSinglePlayer)
		TOUI_Tool_AddTab(UIT_DEBRIEFING, class'TO_GUITabDebriefing');

	// Evil hack to get around the access nones in the briefind screen


	game.ScoreBoardLink = TO_SP_GUITabScores(Tabs[UIT_SCORES]);
	game.BuyMenuLink = TO_SP_GUITabBuymenu(Tabs[UIT_BUYMENU]);

	Tabs[UIT_BRIEFING].OwnerPlayerPawn = hud.PlayerOwner;
	Tabs[UIT_BRIEFING].OwnerPlayer = s_player(hud.PlayerOwner);
	Tabs[UIT_BRIEFING].OwnerInterface = self;
	Tabs[UIT_BRIEFING].OwnerHud = hud;

	SelectTab(UIT_DEBRIEFING);

}

defaultproperties
{
}
