//=============================================================================
// TO_SP_HardCodedBehaviors.
//=============================================================================
// Abstract class from which all hard coded behavior actors are derived.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SP_HardCodedBehaviors expands Info
	abstract;

var	TO_SinglePlayerGame		game;

var bool					bHandlesHostageKills;

function PreBeginPlay() { }

function PostBeginPlay() { }

function Initialise(TO_SinglePlayerGame myGame) { game = myGame; }

function SpecialTriggerCalled(TO_SinglePlayerTrigger trigger) { }

function PreRestartRound() { }

function PostRestartRound() { }

function bool BlockCheckEndRound() { return false; }

function C4Planted(vector PlantLocation, s_ExplosiveC4 PlantedC4) { }

function C4ExplodedPlus(bool bExplodedInBombingZone, Actor BombingZone) { }

function bool PickupQuery( Pawn Other, Inventory item, out int bUseDefault ) { bUseDefault = 1; }

function GiveWeapons(pawn aPlayerPawn) { }

function bool ShouldGiveBomb() { return true; }

function Timer() { }

function bool AllowPlayerWin() { return true; }

function string GetSpecialMedalText(int MedalType, int MedalTextType) { assert(false); }

function int GetSpecialMedal() { assert(false); }

function DrawSpecialMedalTimes(Canvas Canvas, TO_DesignInfo Design, s_HUD mainHud, float y) { }

function HostageKilled(pawn killer, pawn Other, name damageType) { }

function TriggerMessage1(actor Other, pawn EventInstigator) { }
function TriggerMessage2(actor Other, pawn EventInstigator) { }
function TriggerMessage3(actor Other, pawn EventInstigator) { }
function TriggerMessage4(actor Other, pawn EventInstigator) { }
function TriggerMessage5(actor Other, pawn EventInstigator) { }

defaultproperties
{
}
