//=============================================================================
// TO_SP_OICW_Trapped.
//=============================================================================
// Single Player OICW. Booby trapped to explode after a few shots :)
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SP_OICW_Trapped expands TO_SP_OICW;

var int		numShotsFired;
var sound	WeaponFailing;
var sound	WeaponLocking;

// Need to generate sparks after each shot 
// Need to blow up after a few shots have been fired
// Need to kill the weapon holder (duh)


function GenerateBullet() {
	local vector StartLoc, X,Y,Z;
	local pawn PawnOwner;
	local ut_spark	aSpark;
	local int i;

	numShotsFired++;

	PawnOwner = Pawn(Owner);

	if (PawnOwner != None) {

		GetAxes(PawnOwner.ViewRotation,X,Y,Z);
		//StartLoc = Owner.Location + CalcDrawOffset() + FireOffset.X * X + FireOffset.Y * Y + FireOffset.Z * Z; 
		StartLoc = Owner.Location + CalcDrawOffset() + FireOffset.X / 2 * X + FireOffset.Y / 2 * Y + FireOffset.Z / 2 * Z; 


		if (numShotsFired == 4) {
			//Spawn(class'TO_GrenadeExplosion',, '', StartLoc);
			PlaySound(WeaponFailing, SLOT_None, 4.0);
			settimer(0.5, false);
		}
		else {
			PlaySound(WeaponLocking, SLOT_None, 4.0,,,70);
			for (i = 0; i < 10; i++) {
				aSpark = Spawn(class'ut_spark',, '', StartLoc);
			}
		}

	}

	//Super.GenerateBullet();
}

function timer() {
	local vector StartLoc, X,Y,Z;
	local pawn PawnOwner;

	PawnOwner = Pawn(Owner);
	StartLoc = Location;

	if (PawnOwner != None) {
		GetAxes(PawnOwner.ViewRotation,X,Y,Z);
		StartLoc = Owner.Location + CalcDrawOffset() + FireOffset.X / 2 * X + FireOffset.Y / 2 * Y + FireOffset.Z / 2 * Z; 
	}

	Spawn(class'TO_ExplConc',, '', StartLoc);
	PawnOwner.TakeDamage(200, None, PawnOwner.Location, vect(0,0,0), 'Explosion');
	Destroy();
}




///////////////////////////////////////
// defaultproperties
///////////////////////////////////////

defaultproperties
{
     WeaponFailing=Sound'TODatas.Weapons.def_fail'
     WeaponLocking=Sound'TODatas.Weapons.Empty2'
}
