//=============================================================================
// TO_SP_WaterSpawner.
//=============================================================================
// Water spawner. Spawns big water drops, a few rocks and makes waterfall
// noises.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 24/11/2002
//=============================================================================

class TO_SP_WaterSpawner expands Effects;

var rotator		DripsRotations;
var string		TheAmbientSound;

auto state Dripping {

	function Timer() {
		local TO_SP_WaterDrip drip;

		drip = Spawn(class'TO_SP_WaterDrip',,,, DripsRotations);
		drip.velocity = (vector(rotation) + VRand() * 0.2) * (1000 + frand() * 500);
		drip.DrawScale = 15 + frand() * 10;
		drip.Skin = WetTexture(DynamicLoadObject("richrig.Water.Wateranim1", class'WetTexture'));
		drip.SetCollision(true, false, false);
		//drip.SetCollisionSize(drip.DrawScale * 2.5, drip.DrawScale * 2.5);
		drip.SetCollisionSize(10, 10);


		SetTimer(0.05 * frand(), false);
	}
	
	
Begin:
	SetTimer(1,false);
	AmbientSound = Sound(DynamicLoadObject(TheAmbientSound, class'Sound'));
	SoundRadius=255;
	SoundVolume=255;
}

defaultproperties
{
     DripsRotations=(Pitch=1392,Roll=-16320)
     TheAmbientSound="AmbOutside.Looping.Bigfall2"
     bHidden=True
     Texture=None
     Mesh=LodMesh'UnrealShare.dripMesh'
}
