//=============================================================================
// TO_SinglePlayerScoresImporter.
//=============================================================================
// This actor is used to import the Kamehan scores from the file
// TO_SinglePlayerScoresImporter.ini. Only the best scores are imported and
// saved into TO_SinglePlayer.ini.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 19/08/2002
//=============================================================================

class TO_SinglePlayerScoresImporter expands MapList config(TO_SinglePlayerScoresImporter);

// Single Player configuration variables
var			config int	BestTOTeamTime[63];

// Imports the TO Team high scores from the file TO_SinglePlayerScoresImporter.ini
// Returns the number of updated scores.
function int ImportScores() {
	local TO_SinglePlayerMapList myList;
	local int i, counter;

	myList = spawn(class'TO_SinglePlayerMapList');

	if (myList == none) {
		warn("TO_SinglePlayerScoresImporter::ImportScores: Could not spawn TO_SinglePlayerMapList actor!");
		assert(false);
	}

	counter = 0;

	for (i = 0; i < myList.totalNumberOfMaps; i++) {
		if (myList.BestTOTeamTime[i] == 0) {
			myList.BestTOTeamTime[i] = BestTOTeamTime[i];
			counter++;
		}
		else if (BestTOTeamTime[i] == 0) {

		}
		else if (myList.BestTOTeamTime[i] > BestTOTeamTime[i]) {
			myList.BestTOTeamTime[i] = BestTOTeamTime[i];
			counter++;
		}

	}

	myList.SaveConfig();
	
	return counter;

}

defaultproperties
{
}
