//=============================================================================
// TO_StartSinglePlayerCheatsCW.
//=============================================================================
// The client window of the Cheats tab for the Start Single Player dialog.
//=============================================================================
// Programmed by Mathieu 'EMH_Mark3' Mallet for Tactical Ops
// 05/12/2002
//=============================================================================

class TO_StartSinglePlayerCheatsCW expands UMenuPageWindow;

var bool Initialized;

var float	ControlOffset;

var localized string	DialogTitleText;
var TO_SP_UWindowLabelControl DialogTitle;

var localized string	CheatsListTitle;
var localized string	CheatsListText;
var localized string	CheatsListTipText;
var localized string	GoldText;
var localized string	SilverText;
var localized string	BronzeText;
var localized string	PerfectText;
var localized string	CompletedText;
var localized string	HardModeText;

var localized string	CheatsTitle[32];
var localized string	CheatsDescription[32];
var string				CheatsClass[32];
var int					CheatsType[32];	// 0 = perfect, 1 = gold, 2 = silver, 3 = bronze
									// 4 = completed the map, 5 = completed in hard mode
var int					CheatsMap[32];

var UWindowCheckbox		CheatsCheckbox[32];
var bool				bHasAtLeastOneCheatSelected;

//var	TO_StartSinglePlayerGameCW	MatchClientWindow;


///////////////////////////////////////
// Created
///////////////////////////////////////

function Created()
{
	local int i, j;

	local TO_SinglePlayerMaplist myList;

	Super(UMenuDialogClientWindow).Created();

	DesiredWidth = 270;
	DesiredHeight = 100;

	ControlOffset = 10;

	DialogTitle = 	TO_SP_UWindowLabelControl(CreateControl(class'TO_SP_UWindowLabelControl', 10, ControlOffset, 256, 32));
	DialogTitle.Text = DialogTitleText;
	DialogTitle.SetFont(F_Normal);

	ControlOffset += 20;

	myList = GetPlayerOwner().GetEntryLevel().spawn(class'TO_SinglePlayerMaplist');

	bHasAtLeastOneCheatSelected = false;

	if (myList != None) {
		
		for (i = 0; i < 32; i++) {
			if (CheatsClass[i] == "**LastCheat")
				break;

			if (myList.IsAnUnlockedCheat(i)) {
				CheatsCheckbox[i] = UWindowCheckbox(CreateControl(class'UWindowCheckbox', 10 + 16, ControlOffset, 256 - 32, 1));
				if (myList.SelectedCheats[i] == 1) {
					CheatsCheckbox[i].bChecked = true;
					bHasAtLeastOneCheatSelected = true;
				}
				CheatsCheckbox[i].SetText(CheatsTitle[i]);
				CheatsCheckbox[i].SetHelpText(CheatsDescription[i]);
				CheatsCheckbox[i].SetFont(F_Normal);
				//CheatsCheckbox[i].Align = TA_Right;
				ControlOffset += 15;
			}

		}

		//UpdateMutatorList();

		myList.Destroy();
	}
	else {
		warn("Could not load .ini !!");
		assert(false);
	}

	ControlOffset += 10;
}

function AfterCreate()
{
	Super.AfterCreate();
	DesiredWidth = 270;
	DesiredHeight = ControlOffset;

	Initialized = true;

	//GetGameWindow().NotifyCreated(self);
}

function Notify(UWindowDialogControl C, byte E)
{
	local TO_SP_UWindowLabelControl l;
	local int i;
	Super.Notify(C, E);

	switch(E)
	{
	case DE_Change:
		if (C.IsA('UWindowCheckbox'))
			CheckboxClicked(UWindowCheckbox(C));
		break;
	case DE_Click:

		
		break;
	}
}

function CheckboxClicked(UWindowCheckbox checkbox) {
	local int		i;
	local TO_SinglePlayerMaplist myList;

	if (!Initialized)
		return;

	for (i = 0; i < 32; i++)
		if (checkbox == CheatsCheckbox[i])
			break;

	if (CheatsClass[i] == "**CheatsList") {
		checkbox.bChecked = false;
		DisplayCheatsList();
		return;
	}

	myList = GetPlayerOwner().GetEntryLevel().spawn(class'TO_SinglePlayerMaplist');

	if (myList != None) {
		if (checkbox.bChecked == true)
			myList.SelectedCheats[i] = 1;
		else
			myList.SelectedCheats[i] = 0;

		myList.Saveconfig();

		myList.Destroy();

		UpdateMutatorList();
	}
	else {
		warn("Could not spawn maplist actor!!");
		assert(false);
	}
}

function UpdateMutatorList() {
	local int		i;
	local bool		bHasMutators;
	local string	MutatorString;

	bHasMutators = false;
	MutatorString = "";

	for (i = 0; i < 32; i++)
		if (CheatsCheckbox[i] != none && CheatsCheckbox[i].bChecked == true) {
			bHasMutators = true;
			if (MutatorString == "")
				MutatorString = CheatsClass[i];
			else
				MutatorString = MutatorString $ "," $ CheatsClass[i];
		}

	bHasAtLeastOneCheatSelected = bHasMutators;
		
	if (bHasMutators) {
		GetGameWindow().bKeepMutators = true;
		GetGameWindow().MutatorList = MutatorString;
		GetGameWindow().SaveConfig();
	}
	else {
		GetGameWindow().bKeepMutators = false;
		GetGameWindow().MutatorList = "";
		GetGameWindow().SaveConfig();
	}

	SetCheatMessageVisibility();
}

function TO_StartSinglePlayerGameCW GetMatchPage() {
	return TO_StartSinglePlayerGameCW(TO_StartSinglePlayerCheats(ParentWindow).MatchClientWindow.ClientArea);
}

function TO_StartSinglePlayerCW GetGameWindow() {
	return TO_StartSinglePlayerCW(TO_StartSinglePlayerSC(GetParent(class'UWindowFramedWindow')).ClientArea);
}

function MatchClientWindowCreated() {
	//UpdateMutatorList();
	//SetCheatMessageVisibility();
}

function SetCheatMessageVisibility() {
	GetMatchPage().SetCheatMessageVisibility(bHasAtLeastOneCheatSelected);
}

function static bool CheckIfUnlockedCheat(TO_SinglePlayerMaplist myList, out string CheatTitle, int WonMedal, bool bPerfect, bool bHardMode) {
	local int CMap, CType, i;

	CMap = myList.MapNum;

	for (i = 0; i < 32; i++) {
		if (default.CheatsMap[i] == CMap && !myList.IsAnUnlockedCheat(i)) {
			switch (default.CheatsType[i]) {
			case 0:	// Got a perfect
				if (bPerfect) {
					CheatTitle = default.CheatsTitle[i];
					return myList.SetUnlockedCheat(i, true);
				}
				break;

			case 1:	// Got a gold medal
				if (WonMedal == 1) {
					CheatTitle = default.CheatsTitle[i];
					return myList.SetUnlockedCheat(i, true);
				}
				break;

			case 2:	// Got a silver medal
				if (WonMedal == 1 || WonMedal == 2) {
					CheatTitle = default.CheatsTitle[i];
					return myList.SetUnlockedCheat(i, true);
				}
				break;

			case 3:	// Got a bronze medal
				if (WonMedal == 1 || WonMedal == 2 || WonMedal == 3) {
					CheatTitle = default.CheatsTitle[i];
					return myList.SetUnlockedCheat(i, true);
				}
				break;

			case 4:	// Finished the map
				CheatTitle = default.CheatsTitle[i];
				return myList.SetUnlockedCheat(i, true);
				break;

			case 5:	// Finished the map in hard mode
				if (bHardMode) {
					CheatTitle = default.CheatsTitle[i];
					return myList.SetUnlockedCheat(i, true);
				}
				break;
			}
		}
	}
	return false;
}

function DisplayCheatsList() {
	local string	Message;
	local int i;

	message = CheatsListText $ "\\n\\n";

	for (i = 0; i < 32; i++) {
		if (CheatsClass[i] == "" || CheatsClass[i] == "**CheatsList")
			continue;

		if (CheatsClass[i] == "**LastCheat")
			break;

		// Check if we unlocked this one
		if (CheatsCheckbox[i] == none)
			message = message $ "* ";

		// Get type of feat necessary
		switch (CheatsType[i]) {
			case 0:	message = message $ PerfectText; break;
			case 1:	message = message $ GoldText; break;
			case 2:	message = message $ SilverText; break;
			case 3:	message = message $ BronzeText; break;
			case 4:	message = message $ CompletedText; break;
			case 5:	message = message $ HardModeText; break;
		}

		// Get name of the map
		message = message $ " " $ class'TO_SinglePlayerMaplist'.default.Mapname[CheatsMap[i]];

		// End line
		message = message $ "\\n";
	}

	message = message $ "\\n" $ CheatsListTipText;

	MessageBox(CheatsListTitle, Message, MB_OK, MR_OK, MR_OK);
}


///////////////////////////////////////
// defaultproperties
///////////////////////////////////////
// 0 = perfect, 1 = gold, 2 = silver, 3 = bronze
// 4 = completed the map, 5 = completed in hard mode

defaultproperties
{
     DialogTitleText="Available cheats:"
     CheatsListTitle="Tactical Ops: Single Player"
     CheatsListText="These are the missions on which a cheat can be unlocked and how that cheat can be obtained. A star precedes the cheats that you did not unlock yet."
     CheatsListTipText="Tip: You can enable an indicator of the time remaining to get medals on each mission from the Options tab."
     GoldText="Get a gold medal on"
     SilverText="Get a silver medal on"
     BronzeText="Get a bronze medal on"
     PerfectText="Perfect on"
     CompletedText="Complete"
     HardModeText="Complete, in hard mode,"
     CheatsTitle(0)="Cheats List"
     CheatsTitle(1)="Low Gravity"
     CheatsTitle(2)="Gibing Carcasses"
     CheatsTitle(3)="Overweight Bots"
     CheatsTitle(4)="Specters"
     CheatsTitle(5)="All Weapons"
     CheatsTitle(6)="Bombing Bots"
     CheatsTitle(7)="Tracing Bullets"
     CheatsTitle(8)="Inflating Corpses"
     CheatsTitle(9)="Paintball"
     CheatsTitle(10)="Matrix Mode"
     CheatsTitle(11)="God Mode"
     CheatsTitle(12)="Transvestites"
     CheatsTitle(13)="Third Person"
     CheatsDescription(0)="Click to display the list of cheats available and in which missions you can get them."
     CheatsDescription(1)="Lowers the gravity in game."
     CheatsDescription(2)="Dead bodies gib when shot."
     CheatsDescription(3)="Players and enemies get fat."
     CheatsDescription(4)="Turns everyone into ghosts."
     CheatsDescription(5)="Allows the player to buy any weapon."
     CheatsDescription(6)="Bots blow up when killed."
     CheatsDescription(7)="Guns fire tracing bullets only."
     CheatsDescription(8)="Corpses inflate like a balloon and pop."
     CheatsDescription(9)="Removes blood and replaces bullet hit by paint splashes."
     CheatsDescription(10)="Slows down the game but keeps the player going at the same speed as usual."
     CheatsDescription(11)="Player doesn't take damage."
     CheatsDescription(12)="Men become women and women become men!"
     CheatsDescription(13)="Player plays in third person."
     CheatsClass(0)="**CheatsList"
     CheatsClass(1)="Botpack.LowGrav"
     CheatsClass(2)="TO_SinglePlayer.TO_GibbingCarcasses"
     CheatsClass(3)="TO_SinglePlayer.TO_OverweightBots"
     CheatsClass(4)="TO_SinglePlayer.TO_Spectres"
     CheatsClass(5)="TO_SinglePlayer.TO_AllWeapons"
     CheatsClass(6)="TO_SinglePlayer.TO_BombingBots"
     CheatsClass(7)="TO_SinglePlayer.TO_TracingBullets"
     CheatsClass(8)="TO_SinglePlayer.TO_InflatingCorpses"
     CheatsClass(9)="TO_SinglePlayer.TO_PaintBall"
     CheatsClass(10)="TO_SinglePlayer.TO_MatrixMode"
     CheatsClass(11)="TO_SinglePlayer.TO_GodMode"
     CheatsClass(12)="TO_SinglePlayer.TO_CrossDressers"
     CheatsClass(13)="TO_SinglePlayer.TO_BehindView"
     CheatsClass(14)="**LastCheat"
     CheatsType(0)=4
     CheatsType(2)=1
     CheatsType(3)=2
     CheatsType(4)=5
     CheatsType(5)=1
     CheatsType(6)=1
     CheatsType(8)=1
     CheatsType(9)=1
     CheatsType(10)=2
     CheatsType(11)=1
     CheatsType(13)=1
     CheatsMap(0)=22
     CheatsMap(1)=2
     CheatsMap(2)=1
     CheatsMap(3)=4
     CheatsMap(4)=5
     CheatsMap(5)=6
     CheatsMap(6)=12
     CheatsMap(7)=3
     CheatsMap(8)=20
     CheatsMap(10)=10
     CheatsMap(11)=21
     CheatsMap(12)=13
     CheatsMap(13)=8
}
